Bug 260091 - misc/mbuffer: Update to 20211018
Summary: misc/mbuffer: Update to 20211018
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Fukang Chen
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-11-28 09:08 UTC by Fabian Keil
Modified: 2021-11-29 02:10 UTC (History)
0 users

See Also:
loader: maintainer-feedback+


Attachments
Patch to update misc/mbuffer to 20211018 (2.17 KB, patch)
2021-11-28 09:08 UTC, Fabian Keil
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Fabian Keil 2021-11-28 09:08:13 UTC
Created attachment 229763 [details]
Patch to update misc/mbuffer to 20211018

The attached patch updates misc/mbuffer to 20211018.

Changes according to the ChangeLog in the distribution tar ball:
    
         20211018:
         - fixes related to TCP timeout handling
         - enhancement: support setting config file via env var MBUFFERRC
         - documentation update
    
         20211004:
         - make TCPTimeout=0 disable the TCP timeout
         - changed default TCP timeout from 10s to 100s
         - TCP timeout now can be give with suffixes ms,s,min,h
         - documented option for TCP timeout
    
         20210829:
         - enhancement: accept IPv6 addresses in square bracket format
         - enhancement: more detailed warning message for connect failures
         - work around Solaris default old mercurial and incompatible sed
Comment 1 commit-hook freebsd_committer 2021-11-29 02:05:02 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=c01e48c284145a9b6545a74667f9502c469250d8

commit c01e48c284145a9b6545a74667f9502c469250d8
Author:     Fabian Keil <fk@fabiankeil.de>
AuthorDate: 2021-11-05 18:59:12 +0000
Commit:     Fukang Chen <loader@FreeBSD.org>
CommitDate: 2021-11-29 01:54:56 +0000

    misc/mbuffer: Update to 20211018

    Changes according to the ChangeLog in the distribution tar ball:

         20211018:
         - fixes related to TCP timeout handling
         - enhancement: support setting config file via env var MBUFFERRC
         - documentation update

         20211004:
         - make TCPTimeout=0 disable the TCP timeout
         - changed default TCP timeout from 10s to 100s
         - TCP timeout now can be give with suffixes ms,s,min,h
         - documented option for TCP timeout

         20210829:
         - enhancement: accept IPv6 addresses in square bracket format
         - enhancement: more detailed warning message for connect failures
         - work around Solaris default old mercurial and incompatible sed

    PR:             260091
    Submitted by:   Fabian Keil <fk@fabiankeil.de>
    MFH:            No (feature release)

 misc/mbuffer/Makefile | 6 +++++-
 misc/mbuffer/distinfo | 6 +++---
 2 files changed, 8 insertions(+), 4 deletions(-)
Comment 2 Fukang Chen freebsd_committer 2021-11-29 02:10:31 UTC
Committed, thanks!